# FoundationClasses
TKMath
TColgp

# TColgp_SequenceNodeOfSequenceOfPnt Class Reference

`#include <TColgp_SequenceNodeOfSequenceOfPnt.hxx>`

Inheritance diagram for TColgp_SequenceNodeOfSequenceOfPnt:

[legend]

## Public Member Functions

| TColgp_SequenceNodeOfSequenceOfPnt (const gp_Pnt &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
gp_Pnt & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | myValue

## Constructor & Destructor Documentation

TColgp_SequenceNodeOfSequenceOfPnt::TColgp_SequenceNodeOfSequenceOfPnt | ( | const gp_Pnt & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TColgp_SequenceNodeOfSequenceOfPnt::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

gp_Pnt& TColgp_SequenceNodeOfSequenceOfPnt::Value | ( |  | ) | const

## Field Documentation

gp_Pnt TColgp_SequenceNodeOfSequenceOfPnt::myValue `[private]`

The documentation for this class was generated from the following file:

- TColgp_SequenceNodeOfSequenceOfPnt.hxx